/*---------------------------------------------------------------------------*/
//       Author : hiyohiyo
//         Mail : hiyohiyo@crystalmark.info
//          Web : http://crystalmark.info/
//      License : The modified BSD license
//
//                                Copyright 2002- hiyohiyo All rights reserved.
/*---------------------------------------------------------------------------*/

#if !defined(AFX_CUSTOMIZEDLG_H__649B37F5_0996_4917_BA61_DFFD7FE3035E__INCLUDED_)
#define AFX_CUSTOMIZEDLG_H__649B37F5_0996_4917_BA61_DFFD7FE3035E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "DibSection.h"

class CCustomizeDlg : public CDialog
{
public:
	CCustomizeDlg(CWnd* pParent = NULL);

	CDibSection	Dib;
	//{{AFX_DATA(CCustomizeDlg)
	enum { IDD = IDD_CUSTOMIZE };
	CButton	m_EnableAlpha;
	CString	m_FileName;
	CString	m_WindowSize;
	CString	m_ImageSize;
	CString	m_TextColor;
	BOOL	m_Gray;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CCustomizeDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV Support
	//}}AFX_VIRTUAL

protected:
	char m_ini[MAX_PATH];
	RECT m_rect;

	//{{AFX_MSG(CCustomizeDlg)
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnSelectFile();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelectColor();
	afx_msg void OnClear();
	afx_msg void OnGray();
	afx_msg void OnQuickImageSave();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_CUSTOMIZEDLG_H__649B37F5_0996_4917_BA61_DFFD7FE3035E__INCLUDED_)
